Package helma.objectmodel

# Class NodeEvent

java.lang.Object
helma.objectmodel.NodeEvent

All Implemented Interfaces:
  `Serializable`

public class NodeEvent extends Object implements Serializable
This is passed to NodeListeners when a node is modified.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Object`
`arg`
`static final int`
`CONTENT_CHANGED`
`String`
`id`
`INode`
`node`
`static final int`
`NODE_REMOVED`
`static final int`
`NODE_RENAMED`
`static final int`
`PROPERTIES_CHANGED`
`static final int`
`SUBNODE_ADDED`
`static final int`
`SUBNODE_REMOVED`
`int`
`type`

## Constructor Summary

Constructors
Constructor
Description
`NodeEvent(INode node, int type)`
Creates a new NodeEvent object.
`NodeEvent(INode node, int type, Object arg)`
Creates a new NodeEvent object.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CONTENT_CHANGED

public static final int CONTENT_CHANGED

See Also:
  - Constant Field Values

### PROPERTIES_CHANGED

public static final int PROPERTIES_CHANGED

See Also:
  - Constant Field Values

### NODE_REMOVED

public static final int NODE_REMOVED

See Also:
  - Constant Field Values

### NODE_RENAMED

public static final int NODE_RENAMED

See Also:
  - Constant Field Values

### SUBNODE_ADDED

public static final int SUBNODE_ADDED

See Also:
  - Constant Field Values

### SUBNODE_REMOVED

public static final int SUBNODE_REMOVED

See Also:
  - Constant Field Values

### type

public int type

### id

public String id

### node

public transient INode node

### arg

public transient Object arg

## Constructor Details

### NodeEvent

public NodeEvent(INode node, int type)
Creates a new NodeEvent object.

Parameters:
  `node` - ...
  `type` - ...

### NodeEvent

public NodeEvent(INode node, int type, Object arg)
Creates a new NodeEvent object.

Parameters:
  `node` - ...
  `type` - ...
  `arg` - ...

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  ...